## eksctl 0.215.0

=== Makefile ===
include Makefile.common
include Makefile.docs
include Makefile.docker

version_pkg := github.com/weaveworks/eksctl/pkg/version

gopath := $(shell go env GOPATH)
gocache := $(shell go env GOCACHE)

export GOBIN ?= $(gopath)/bin

AWS_SDK_GO_DIR ?= $(shell go list -m -f '{{.Dir}}' 'github.com/aws/aws-sdk-go')
AWS_SDK_V2_GO_DIR ?= $(shell go list -m -f '{{.Dir}}' 'github.com/aws/aws-sdk-go-v2')

generated_code_deep_copy_helper := pkg/apis/eksctl.io/v1alpha5/zz_generated.deepcopy.go

generated_code_aws_sdk_mocks := $(wildcard pkg/eks/mocks/*API.go)

conditionally_generated_files := \
  $(generated_code_deep_copy_helper) $(generated_code_aws_sdk_mocks)

.DEFAULT_GOAL := help

##@ Utility

.PHONY: help
help:  ## Display this help. Thanks to https://www.thapaliya.com/en/writings/well-documented-makefiles/
ifeq ($(OS),Windows_NT)
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make <target>\n"} /^[a-zA-Z_-]+:.*?##/ { printf "  %-40s %s\n", $$1, $$2 } /^##@/ { printf "\n%s\n", substr($$0, 5) } ' $(MAKEFILE_LIST)
else
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z_-]+:.*?##/ { printf "  \033[36m%-40s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)
endif

##@ Dependencies
.PHONY: install-all-deps
install-all-deps: install-build-deps install-site-deps ## Install all dependencies for building both binary and user docs)

.PHONY: install-build-deps
install-build-deps: ## Install dependencies (packages and tools)
	build/scripts/install-build-deps.sh

##@ Build

godeps_cmd = go list -deps -f '{{if not .Standard}}{{ $$dep := . }}{{range .GoFiles}}{{$$dep.Dir}}/{{.}} {{end}}{{end}}' $(1) | sed "s|$(git_toplevel)/||g"
godeps = $(shell $(call godeps_cmd,$(1)))

.PHONY: build
build: generate-always binary ## Generate, lint and build eksctl binary for current OS and place it at ./eksctl

.PHONY: binary
binary: ## Build eksctl binary for current OS and place it at ./eksctl
	CGO_ENABLED=0 go build -ldflags "-s -w -X $(version_pkg).gitCommit=$(git_commit) -X $(version_pkg).buildDate=$(build_date)" ./cmd/eksctl


clean: ## Remove artefacts or generated files from previous build
	rm -rf eksctl eksctl-integration-test

##@ Testing & CI

ifneq ($(TEST_V),)
UNIT_TEST_ARGS ?= -v -ginkgo.v
INTEGRATION_TEST_ARGS ?= -test.v -ginkgo.v
endif

ifneq ($(INTEGRATION_TEST_FOCUS),)
INTEGRATION_TEST_ARGS ?= -test.v -ginkgo.v -ginkgo.focus "$(INTEGRATION_TEST_FOCUS)"
endif

ifneq ($(INTEGRATION_TEST_REGION),)
INTEGRATION_TEST_ARGS += -eksctl.region=$(INTEGRATION_TEST_REGION)
$(info will launch integration tests in region $(INTEGRATION_TEST_REGION))
endif

ifneq ($(INTEGRATION_TEST_VERSION),)
INTEGRATION_TEST_ARGS += -eksctl.version=$(INTEGRATION_TEST_VERSION)
$(info will launch integration tests for Kubernetes version $(INTEGRATION_TEST_VERSION))
endif

.PHONY: lint
lint: ## Run linter over the codebase
	golangci-lint run --timeout=30m

.PHONY: check-gomod ## Verify go.mod and go.sum are up to date
check-gomod:
	go mod tidy
	git diff --quiet -- go.mod go.sum || (git --no-pager diff go.mod go.sum; echo "HINT: to fix this, run 'go mod tidy && git commit go.mod go.sum --message \"go mod tidy\"'"; exit 1)

.PHONY: check-schema ## Generate schema.json
generate-schema:
	cd pkg/apis/eksctl.io/v1alpha5 && go run ../../../../cmd/schema assets/schema.json

.PHONY: check-schema ## Verify schema.json is up to date
check-schema: generate-schema
	git diff --quiet -- pkg/apis/eksctl.io/v1alpha5/assets/schema.json || (git --no-pager diff pkg/apis/eksctl.io/v1alpha5/assets/schema.json; echo "please run 'make generate-schema' to generate schema.json"; exit 1)

.PHONY: test
test: ## Lint, generate and run unit tests. Also ensure that integration tests compile
	$(MAKE) lint
	$(MAKE) unit-test
	$(MAKE) build-integration-test

.PHONY: unit-test
unit-test: check-all-generated-files-up-to-date unit-test-no-generate

.PHONY: unit-test-no-generate ## Run unit test only
unit-test-no-generate:
	CGO_ENABLED=0 go test  -tags=release ./pkg/... ./cmd/... $(UNIT_TEST_ARGS)

.PHONY: unit-test-race
unit-test-race: ## Run unit test with race detection
	CGO_ENABLED=1 go test -race ./pkg/... ./cmd/... $(UNIT_TEST_ARGS)

.PHONY: build-integration-test
build-integration-test: $(all_generated_code) ## Ensure integration tests compile
	@# Compile integration test binary without running any.
	@# Required as build failure aren't listed when running go build below. See also: https://github.com/golang/go/issues/15513
	go test -tags integration -run=^$$ ./integration/...
	@# Build integration test binary:
	go build -tags integration -o ./eksctl-integration-test ./integration/main.go

.PHONY: integration-test
integration-test: build build-integration-test ## Generate then build and run the integration tests (with cluster creation and cleanup)
	INTEGRATION_TEST_FOCUS="$(INTEGRATION_TEST_FOCUS)" ./eksctl-integration-test $(INTEGRATION_TEST_ARGS)

.PHONY: integration-test-no-build
integration-test-no-build:
	INTEGRATION_TEST_FOCUS="$(INTEGRATION_TEST_FOCUS)" ./eksctl-integration-test $(INTEGRATION_TEST_ARGS)

list-integration-suites:
	@ find integration/tests/ -maxdepth 1 -mindepth 1 -type d -printf '%f\n' | head -c -1 | jq -R -s -c 'split("\n")'

TEST_CLUSTER ?= integration-test-dev
.PHONY: integration-test-dev
integration-test-dev: build-integration-test ## Run the integration tests without cluster teardown. For use when developing integration tests.
	./eksctl utils write-kubeconfig \
		--auto-kubeconfig \
		--cluster=$(TEST_CLUSTER)
	$(info it is recommended to watch events with "kubectl get events --watch --all-namespaces --kubeconfig=$(HOME)/.kube/eksctl/clusters/$(TEST_CLUSTER)")
	cd integration ; ../eksctl-integration-test -test.timeout 21m \
		$(INTEGRATION_TEST_ARGS) \
		-eksctl.cluster=$(TEST_CLUSTER) \
		-eksctl.skip.create=true \
		-eksctl.skip.delete=true \
		-eksctl.kubeconfig=$(HOME)/.kube/eksctl/clusters/$(TEST_CLUSTER)

create-integration-test-dev-cluster: build ## Create a test cluster for use when developing integration tests
	./eksctl create cluster --name=$(TEST_CLUSTER) --auto-kubeconfig --nodes=1 --nodegroup-name=ng-0

delete-integration-test-dev-cluster: build ## Delete the test cluster for use when developing integration tests
	./eksctl delete cluster --name=$(TEST_CLUSTER) --auto-kubeconfig

##@ Code Generation

.PHONY: generate-always
generate-always: pkg/addons/default/assets/aws-node.yaml ## Generate code (required for every build)
	go generate ./pkg/apis/eksctl.io/v1alpha5/generate.go
	go generate ./pkg/nodebootstrap
	go generate ./pkg/addons
	go generate ./pkg/authconfigmap
	go generate ./pkg/awsapi/...
	go generate ./pkg/eks
	${GOBIN}/mockery
	go generate ./pkg/drain
	go generate ./pkg/actions/...
	go generate ./pkg/executor
	go generate ./pkg/cfn/manager
	go generate ./pkg/vpc

.PHONY: generate-all
generate-all: generate-always $(conditionally_generated_files) ## Re-generate all the automatically-generated source files

.PHONY: check-all-generated-files-up-to-date
check-all-generated-files-up-to-date: generate-all ## Run the generate all command and verify there is no new diff
	git diff --quiet -- $(conditionally_generated_files) || (git --no-pager diff $(conditionally_generated_files); echo "HINT: to fix this, run 'git commit $(conditionally_generated_files) --message \"Update generated files\"'"; exit 1)

.PHONY: update-nvidia-device-plugin
update-nvidia-device-plugin: ## fetch the latest static manifest
	pkg/addons/assets/scripts/update_nvidia_device_plugin.sh

.PHONY: update-aws-node
update-aws-node: ## Re-download the aws-node manifests from AWS
	pkg/addons/default/scripts/update_aws_node.sh

.PHONY:
update-coredns: ## get latest coredns builds for each available eks version
	@go run pkg/addons/default/scripts/update_coredns_assets.go

.PHONY:
update-ec2-info: ## get latest info on ec2 instance types
	@go run cmd/ec2geninfo/main.go

.PHONY: update-deepcopy
update-deepcopy:
	build/scripts/update-codegen.sh

deep_copy_helper_input = $(shell $(call godeps_cmd,./pkg/apis/...) | sed 's|$(generated_code_deep_copy_helper)||' )
$(generated_code_deep_copy_helper): $(deep_copy_helper_input) ## Generate Kubernetes API helpers
	build/scripts/update-codegen.sh

$(generated_code_aws_sdk_mocks): $(call godeps,pkg/eks/mocks/mocks.go) ## Generate AWS SDK mocks
	AWS_SDK_GO_DIR=$(AWS_SDK_GO_DIR) go generate ./pkg/eks/mocks


.PHONY: generate-kube-reserved
generate-kube-reserved: ## Update instance list with respective specs
	@cd ./pkg/nodebootstrap/ && go run reserved_generate.go

##@ Release
# .PHONY: eksctl-image
# eksctl-image: ## Build the eksctl image that has release artefacts and no build dependencies
# 	$(MAKE) -f Makefile.docker $@

.PHONY: prepare-release
prepare-release: ## Create release
	build/scripts/tag-release.sh

.PHONY: prepare-release-candidate
prepare-release-candidate: ## Create release candidate
	build/scripts/tag-release-candidate.sh

.PHONY: print-version
print-version: ## Prints the upcoming release number
	@go run pkg/version/generate/release_generate.go print-version

## eksctl 0.154.0

=== debian/changelog ===
eksctl (0.154.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 01:02:19 +0200

eksctl (0.154.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.154.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Aug 2023 14:34:39 +0200

eksctl (0.153.0-0kali1) kali-dev; urgency=medium

  * Update d/watch to ignore rc releases
  * New upstream version 0.153.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Aug 2023 17:20:12 +0200

eksctl (0.152.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.152.0~rc0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 16:38:51 +0200

eksctl (0.149.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.149.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Jul 2023 14:54:35 +0200

eksctl (0.148.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.148.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 10 Jul 2023 17:39:05 +0200

eksctl (0.147.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.147.0~rc0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2023 15:34:31 +0200

eksctl (0.143.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.143.0~rc0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 May 2023 09:31:18 +0200

eksctl (0.138.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.138.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 28 Apr 2023 11:56:13 +0200

eksctl (0.138.0~rc0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.138.0~rc0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 Apr 2023 18:03:45 +0200

eksctl (0.134.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Mar 2023 17:44:21 +0100

=== debian/control ===
Source: eksctl
Section: golang
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dh-golang,
		       bash-completion,
		       ca-certificates,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-aws-smithy-go-dev,
               golang-github-blang-semver-dev,
               golang-github-cloudflare-cfssl-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-fatih-color-dev,
               golang-github-gobwas-glob-dev,
               golang-github-gofrs-flock-dev,
               golang-github-google-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-kballard-go-shellquote-dev,
               golang-github-masterminds-semver-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-renstrom-dedent-dev,
               golang-github-spf13-afero-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-gjson-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-gomega-dev,
               golang-k8s-sigs-yaml-dev
Standards-Version: 4.6.2
Homepage: https://github.com/weaveworks/eksctl
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/weaveworks/eksctl

Package: eksctl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: official CLI for Amazon EKS (program)
 eksctl is a simple CLI tool for creating clusters on EKS - Amazon's new
 managed Kubernetes service for EC2. It is written in Go, and uses
 CloudFormation.
 .
 You can create a cluster in minutes with just one command – **eksctl
 create cluster**!

## eksctl 0.210.0

=== debian/changelog ===
eksctl (0.210.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.210.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 11:46:20 +0200

eksctl (0.209.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.209.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Jun 2025 14:35:14 +0200

eksctl (0.208.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.208.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 May 2025 18:04:31 +0200

eksctl (0.207.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.207.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 03 Apr 2025 17:25:14 +0200

eksctl (0.206.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.206.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 13:43:17 +0100

eksctl (0.205.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.205.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Mar 2025 09:24:24 +0100

eksctl (0.204.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.204.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 24 Feb 2025 18:15:51 +0100

eksctl (0.203.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.203.0
  * Bump Standards-Version to 4.7.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 03 Feb 2025 17:02:53 +0100

eksctl (0.202.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.202.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 24 Jan 2025 11:33:00 +0100

eksctl (0.201.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.201.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Jan 2025 11:59:50 +0100

eksctl (0.199.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.199.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 17 Dec 2024 11:00:28 +0100

eksctl (0.198.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.198.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Dec 2024 14:35:19 +0100

eksctl (0.197.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Disable armel and armhf builds

  [ Sophie Brun ]
  * New upstream version 0.197.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Dec 2024 10:32:56 +0100

eksctl (0.194.0-0kali2) kali-dev; urgency=medium

  * Restrict to architectures: amd64, arm64, i386

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 12 Nov 2024 10:36:04 +0700

eksctl (0.194.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.194.0
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 23 Oct 2024 10:00:06 +0200

eksctl (0.193.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.193.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 21 Oct 2024 16:51:12 +0200

eksctl (0.192.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.192.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 14 Oct 2024 15:18:31 +0200

eksctl (0.191.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.191.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Sep 2024 11:27:22 +0200

eksctl (0.189.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.189.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 20 Aug 2024 16:45:21 +0200

eksctl (0.188.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.188.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Aug 2024 15:16:27 +0200

eksctl (0.184.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.184.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 05 Jul 2024 11:08:43 +0200

eksctl (0.183.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.183.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jun 2024 11:37:33 +0200

eksctl (0.181.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.181.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Jun 2024 15:21:27 +0200

eksctl (0.179.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.179.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 May 2024 17:04:14 +0200

eksctl (0.177.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.177.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 22 May 2024 16:09:57 +0200

eksctl (0.174.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.174.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Mar 2024 11:34:13 +0100

eksctl (0.173.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.173.0

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Mar 2024 17:25:10 +0100

eksctl (0.170.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.170.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 07 Feb 2024 09:33:44 +0100

eksctl (0.169.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.169.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 26 Jan 2024 11:18:20 +0100

eksctl (0.167.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.167.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 08 Jan 2024 15:35:16 +0100

eksctl (0.165.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.165.0

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Dec 2023 11:37:14 +0100

eksctl (0.164.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.164.0

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 02 Nov 2023 16:08:16 +0100

eksctl (0.163.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.163.0

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Oct 2023 11:07:00 +0200

eksctl (0.162.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.162.0

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Oct 2023 17:12:32 +0200

eksctl (0.161.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.161.0
  * Refresh patches



=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: eksctl
 Section: golang
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                dh-golang,
-		       bash-completion,
-		       ca-certificates,
+	       bash-completion,
+	       ca-certificates,
                golang-any,
                golang-github-aws-aws-sdk-go-dev,
                golang-github-aws-aws-sdk-go-v2-dev,
@@ -37,13 +37,15 @@
                golang-golang-x-sync-dev,
                golang-gomega-dev,
                golang-k8s-sigs-yaml-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
+Vcs-Browser: https://gitlab.com/kalilinux/packages/eksctl
+Vcs-Git: https://gitlab.com/kalilinux/packages/eksctl.git
 Homepage: https://github.com/weaveworks/eksctl
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/weaveworks/eksctl
 
 Package: eksctl
-Architecture: any
+Architecture: amd64 arm64 i386
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}

## eksctl 0.212.0

=== debian/changelog ===
eksctl (0.212.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.212.0 version
  * Update the quilt patch
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 03 Aug 2025 17:25:13 +0200

eksctl (0.201.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.201.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 15 Jan 2025 15:45:34 +0200

eksctl (0.194.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.194.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 19 Nov 2024 07:17:57 +0200

eksctl (0.192.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.192.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 17 Oct 2024 10:52:32 +0200

eksctl (0.188.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.188.0 version
  * Update the quilt patch
  * Bump the golang-go version required to build
  * Bump the Standards-Version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 02:27:07 +0200

eksctl (0.176.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.176.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 01:22:46 +0200

eksctl (0.171.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.171.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 12 Feb 2024 23:37:16 +0100

eksctl (0.164.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.164.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 30 Oct 2023 12:02:46 +0100

eksctl (0.161.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.161.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 07 Oct 2023 20:31:12 +0100

eksctl (0.151.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.151.0 version
  * Update the quilt patch
  * Remove golang-go as package dependancy

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 07 Aug 2023 13:34:43 +0100

eksctl (0.150.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.150.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 22 Jul 2023 21:09:52 +0100

eksctl (0.141.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.141.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 24 May 2023 00:49:21 +0100

eksctl (0.140.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.140.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 08 May 2023 23:29:11 +0100

eksctl (0.134.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.134.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 19 Mar 2023 17:16:27 +0100

eksctl (0.122.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.122.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Dec 2022 22:57:39 +0100

eksctl (0.121.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.121.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Nov 2022 22:10:52 +0100

eksctl (0.120.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.120.0 version
  * Update the quilt patch
  * The GOPATH is now set to use the _build folder

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 23 Nov 2022 14:23:08 +0100

eksctl (0.112.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.112.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 25 Sep 2022 20:02:41 +0100

eksctl (0.108.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.108.0 version
  * Update the quilt patch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 14 Aug 2022 17:11:56 +0100

eksctl (0.104.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.104.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 07 Jul 2022 19:44:41 +0100

eksctl (0.100.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.100.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 03 Jun 2022 20:35:14 +0100

eksctl (0.99.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.99.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 29 May 2022 22:30:11 +0100

eksctl (0.95.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.95.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 06 May 2022 00:16:33 +0100

eksctl (0.89.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.89.0 version
  * Add docs
  * Add one of eksctl logos

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 30 Mar 2022 00:15:37 +0100

eksctl (0.85.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.85.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 27 Feb 2022 16:42:27 +0100

eksctl (0.83.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.83.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 13 Feb 2022 15:37:59 +0100

eksctl (0.80.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.80.0 version
  * Remove dh-virtualenv as dependancy to build eksctl

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 23 Jan 2022 16:53:28 +0100

eksctl (0.77.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.77.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 09 Jan 2022 01:49:52 +0100

eksctl (0.76.0-1kaisen) kaisen-packages; urgency=medium

  * Import 0.76.0 version

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 06 Dec 2021 21:30:46 +0100

eksctl (0.74.0-1kaisen) kaisen-packages; urgency=medium



=== debian/control ===
Source: eksctl
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
	       golang-go (>= 1.24),
	       dh-golang,
	       mkdocs,
Standards-Version: 4.7.2
Homepage: https://eksctl.io/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/eksctl
Vcs-Git: https://gitlab.com/kaisenlinux/packages/eksctl.git
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/eksctl-io/eksctl

Package: eksctl
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	 ${misc:Depends},
Description: The official CLI for Amazon EKS

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build

override_dh_auto_build:
	make binary

override_dh_auto_test:

override_dh_auto_install:
	install -p -m 0644 $(CURDIR)/debian/eksctl.png $(CURDIR)/debian/eksctl/usr/share/pixmaps
	install -p -m 0755 $(CURDIR)/eksctl $(CURDIR)/debian/eksctl/usr/bin
	$(CURDIR)/debian/eksctl/usr/bin/eksctl completion bash > $(CURDIR)/debian/eksctl/usr/share/bash-completion/completions/eksctl
	$(CURDIR)/debian/eksctl/usr/bin/eksctl completion zsh > $(CURDIR)/debian/eksctl/usr/share/zsh/vendor-completions/_eksctl

override_dh_dwz:

## eksctl 0.213.0

=== debian/changelog ===
eksctl (0.213.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Sophie Brun ]
  * Update my email
  * New upstream version 0.213.0
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Tue, 26 Aug 2025 09:38:48 +0200

eksctl (0.212.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.212.0

 -- Sophie Brun <sophie@kali.org>  Fri, 08 Aug 2025 12:24:05 +0200

=== debian/control ===
Source: eksctl
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@kali.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dh-golang,
	       bash-completion,
	       ca-certificates,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-aws-smithy-go-dev,
               golang-github-blang-semver-dev,
               golang-github-cloudflare-cfssl-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-fatih-color-dev,
               golang-github-gobwas-glob-dev,
               golang-github-gofrs-flock-dev,
               golang-github-google-uuid-dev,
               golang-github-hashicorp-go-version-dev,
               golang-github-kballard-go-shellquote-dev,
               golang-github-masterminds-semver-dev,
               golang-github-onsi-ginkgo-dev,
               golang-github-otiai10-copy-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-renstrom-dedent-dev,
               golang-github-spf13-afero-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-tidwall-gjson-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-oauth2-google-dev,
               golang-golang-x-sync-dev,
               golang-gomega-dev,
               golang-k8s-sigs-yaml-dev
Standards-Version: 4.7.0
Vcs-Browser: https://gitlab.com/kalilinux/packages/eksctl
Vcs-Git: https://gitlab.com/kalilinux/packages/eksctl.git
Homepage: https://github.com/weaveworks/eksctl
XS-Go-Import-Path: github.com/weaveworks/eksctl

Package: eksctl
Architecture: amd64 arm64 i386
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: official CLI for Amazon EKS (program)
 eksctl is a simple CLI tool for creating clusters on EKS - Amazon's new
 managed Kubernetes service for EC2. It is written in Go, and uses
 CloudFormation.
 .
 You can create a cluster in minutes with just one command – **eksctl
 create cluster**!

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/weaveworks/eksctl/tags .*/v?(\d[\d.]*)\.tar\.gz debian

## eksctl 0.215.0

=== debian/changelog ===
eksctl (0.215.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * New upstream version 0.215.0

 -- Sophie Brun <sophie@kali.org>  Fri, 03 Oct 2025 16:24:24 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang --with=bash-completion

override_dh_auto_configure:	
	#cp -av debian/vendor _build/src/github.com/weaveworks/eksctl
	go get

override_dh_auto_build:
	CGO_ENABLED=0 go build -ldflags "-s -w" ./cmd/eksctl
#	make build

override_dh_auto_install:
	dh_auto_install -- --no-source

	# generate completion files
	$(CURDIR)/eksctl completion bash >$(CURDIR)/debian/eksctl.bash
	$(CURDIR)/eksctl completion zsh >$(CURDIR)/debian/_eksctl

override_dh_auto_test:

override_dh_golang:

=== debian/tests/control ===
Test-Command: eksctl -h
Restrictions: superficial

## eksctl 0.216.0

=== debian/changelog ===
eksctl (0.216.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.216.0

 -- Sophie Brun <sophie@kali.org>  Wed, 05 Nov 2025 17:38:25 +0100

## eksctl 0.217.0

=== debian/changelog ===
eksctl (0.217.0-0parrot1) echo; urgency=medium

 * Sync with Kali packaging.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 23 Nov 2025 23:24:47 +0100

eksctl (0.217.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.217.0

 -- Sophie Brun <sophie@kali.org>  Mon, 17 Nov 2025 14:59:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: eksctl
 Section: golang
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@kali.org>
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                dh-golang,
@@ -38,8 +38,6 @@
                golang-gomega-dev,
                golang-k8s-sigs-yaml-dev
 Standards-Version: 4.7.0
-Vcs-Browser: https://gitlab.com/kalilinux/packages/eksctl
-Vcs-Git: https://gitlab.com/kalilinux/packages/eksctl.git
 Homepage: https://github.com/weaveworks/eksctl
 XS-Go-Import-Path: github.com/weaveworks/eksctl

## eksctl 0.220.0

=== debian/changelog ===
eksctl (0.220.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.220.0

 -- Sophie Brun <sophie@kali.org>  Tue, 02 Dec 2025 15:18:54 +0100

## eksctl 0.221.0

=== debian/changelog ===
eksctl (0.221.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.221.0

 -- Sophie Brun <sophie@kali.org>  Tue, 06 Jan 2026 11:55:37 +0100

## eksctl 0.222.0

=== debian/changelog ===
eksctl (0.222.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.222.0

 -- Sophie Brun <sophie@kali.org>  Mon, 09 Feb 2026 16:18:03 +0100

## eksctl 0.223.0

=== debian/changelog ===
eksctl (0.223.0-0kali1) kali-dev; urgency=medium

  * New upstream version 0.223.0
  * Bump Standards-Version to 4.7.3
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Tue, 17 Feb 2026 16:51:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: eksctl
 Section: golang
 Priority: optional
-Maintainer: Parrot Dev Team <team@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                dh-golang,
@@ -37,7 +37,9 @@
                golang-golang-x-sync-dev,
                golang-gomega-dev,
                golang-k8s-sigs-yaml-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
+Vcs-Browser: https://gitlab.com/kalilinux/packages/eksctl
+Vcs-Git: https://gitlab.com/kalilinux/packages/eksctl.git
 Homepage: https://github.com/weaveworks/eksctl
 XS-Go-Import-Path: github.com/weaveworks/eksctl

=== debian/watch ===
Version: 5
Template: Github
Dist: https://github.com/weaveworks/eksctl
